/*******************************************************************************
* File Name: PRESSURE_SENSOR.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PRESSURE_SENSOR_ALIASES_H) /* Pins PRESSURE_SENSOR_ALIASES_H */
#define CY_PINS_PRESSURE_SENSOR_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define PRESSURE_SENSOR_0			(PRESSURE_SENSOR__0__PC)
#define PRESSURE_SENSOR_0_PS		(PRESSURE_SENSOR__0__PS)
#define PRESSURE_SENSOR_0_PC		(PRESSURE_SENSOR__0__PC)
#define PRESSURE_SENSOR_0_DR		(PRESSURE_SENSOR__0__DR)
#define PRESSURE_SENSOR_0_SHIFT	(PRESSURE_SENSOR__0__SHIFT)
#define PRESSURE_SENSOR_0_INTR	((uint16)((uint16)0x0003u << (PRESSURE_SENSOR__0__SHIFT*2u)))

#define PRESSURE_SENSOR_INTR_ALL	 ((uint16)(PRESSURE_SENSOR_0_INTR))


#endif /* End Pins PRESSURE_SENSOR_ALIASES_H */


/* [] END OF FILE */
